<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('booking_documents', function (Blueprint $table) {
            $table->string('status')->default('Pending')->after('file_path');
        });
        
        Schema::table('property_documents', function (Blueprint $table) {
            $table->string('status')->default('Pending')->after('file_path');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('booking_documents', function (Blueprint $table) {
            $table->dropColumn('status');
        });
        
        Schema::table('property_documents', function (Blueprint $table) {
            $table->dropColumn('status');
        });
    }
};
